Since upgrade to 4.4 all child sites produced by new blog templates + pro sites displaying errors

I've disabled all plugins on the individual child sites, as well as all network activated plugins. I've also removed all mu plugins and reverted to the most recent version of twenty-thirteen theme (deactivating my child theme of it). Yet the following error continues to present itself (as I said only on child sites created by new blog templates + pro sites):

Warning: Illegal string offset 'file' in /home/XXXXX/public_html/wp-includes/functions.php on line 3373

Initially there were additional errors occurring as well, which stopped after I disabled the SSL Insecure Content Fixer plugin, so I'm wondering if there is still something active in the database from that causing the problem...

I noticed that pages on which the errors occur are ALWAYS pages that include a picture, and that if I delete the picture the error stops being displayed. Images within posts don't trigger the error, just within pages. Again, this is only on child sites created by pro sites + new blog templates -- the child site that is used as the template is fine, no errors.

I have child sites created by pro sites + new blog templates going back several years -- and ALL of them on the network are displaying these errors -- just since the upgrade to wordpress 4.4

Strange eh? Any ideas?

  • Milan

    Hello @xbladerunner,

    I hope you are having a good day and thanks for the asking. :slight_smile:

    I am not able to replicate this issue on my sandbox site with latest wordpress, so it seems to me that there can be plugin conflict issue on your end. Would you please deactivate plugins one by one to check if it solves your problem. This way we can find conflict if there is any.

    Let me know how it goes for you. :slight_smile:

    Cheers!
    Milan.

  • xbladerunner

    Thanks for your help Milan,

    As I stated above, I've already disabled all the plugins and themes and the errors continue, but only on network sites originally created using New Blog Templates and Pro Sites. This indicates to me that the issue is a conflict between WordPress 4.4 and network sites CREATED using those two plugins PRIOR to WordPress 4.4. As stated earlier, the issue/errors do not occur on the main site, or any network site that was NOT created using New Blog Templates and Pro Sites.

    It must have something to do with how the images are copied over, because deleting the images makes the errors go away (though the images on the template site do not cause errors). I'll do some more testing to see if newly created sites AFTER WordPress 4.4 are generating the same errors... and let you know what comes of it, just in case anyone else runs into this down the road. Just busy cleaning up the mess right now.

    But maybe you can help me with this one (let me know if it needs to be in a separate ticket)... An additional mystery I hadn't mentioned, is that the mu-plugins folder on this network stopped working as well... that is, following upgrade to WordPress 4.4, I started getting errors stating that the plugins in my mu-plugins folder were being looked for in the regular plugins folder and couldn't be found. ??? So I made copies of the files in the mu-plugins folder and placed them in the regular plugins folder, and then everything was fine -- no errors reported. If I remove them (custom-remove-mainsite.php and domain_mapping_ip_address.php) from the regular plugins folder the site crashes with the errors being reported again that the plugins can't be found -- unless they are deleted from the mu-plugins folder, which of course deactivates them and brings the site back up. So currently I'm leaving a copy of them in both the mu-plugins folder and the regular plugins folder. BUT I'd like to know WTF is going on :slight_smile: This didn't happen on any of my other multisite site networks that were updated to WordPress 4.4... (though I did have a conflict with the multi-network plugin on one of my networks)... gotta love major updates to the core :slight_smile:

  • Milan

    Hello @xbladerunner,

    I hope you are having a good day.

    It is strange that mu-plugin is not working as it should on your end. Would you please attach screenshot of error you are getting when working with mu-plugins ? I am running wordpress 4.4 on my sandbox multisite environment, I don't see such error with mu-plugins, would you please give me some more information about error so that I can check in depth what could be going on. ?

    Cheers!
    Milan.

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.